PolychartService
Delete Drawing
Soft-delete a drawing using optimistic concurrency on the parent layer.
Method
POST
Path
/v1/polychart/drawings/delete
Visibility
Authentication
Session token or API key
MFA Requirement
Not required
POST
/v1/polychart/drawings/delete Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/v1/polychart/drawings/delete' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"drawing": {
"drawingId": "1",
"ownerId": "1"
},
"expectedLayerRevision": "1",
"layer": {
"layerId": "1",
"ownerId": "1"
}
}'Responses
{
"layerRevision": "1"
} drawing string
Drawing to delete.
expectedLayerRevision string (int64)
Expected current revision of the parent layer.
layer string
Parent layer that contains the drawing.
layerRevision string (fixed64)
New parent layer revision after deletion.
Example
1| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |